package com.yunzhi.questions.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 关卡问题
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaGameLevelQuestion对象", description="关卡问题")
public class TaGameLevelQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "关卡ID")
    private String levelId;

    @ApiModelProperty(value = "问题ID")
    private String questionId;

    @ApiModelProperty(value = "序号")
    private Integer sortNo;


}
