package com.yunzhi.questions.mapper;

import com.yunzhi.questions.entity.TaAnswer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 题库答案 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
@Mapper
public interface TaAnswerMapper extends BaseMapper<TaAnswer> {

    int deleteByQuestionID(@Param("questionId") String questionId);

    List<TaAnswer> getByQuestionId(@Param("questionId") String questionId);

    int countByGameId(@Param("gameId") String gameId);
}
