package com.yunzhi.questions.mapper;

import com.yunzhi.questions.entity.TaCharacterResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.questions.vo.CharacterInstWithWords;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 游戏特征实例 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-12-15
 */
@Mapper
public interface TaCharacterResultMapper extends BaseMapper<TaCharacterResult> {

    int insertWord(@Param("resultId") String resultId, @Param("wordId") String wordId);

    int removeWords(@Param("resultId") String resultId);

    List<CharacterInstWithWords> getInstListBy(@Param("gameId") String gameId);
}
