package com.yunzhi.questions.mapper;

import com.yunzhi.questions.entity.TaGamePersonResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 问答游戏总结 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-12-15
 */
@Mapper
public interface TaGamePersonResultMapper extends BaseMapper<TaGamePersonResult> {

    List<String> getPersonAnswerWordIdList(@Param("gameId") String gameId, @Param("personId") String personId);
}
