package com.yunzhi.questions.mapper;

import com.yunzhi.questions.entity.TdCharacterWord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 特征词 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-12-14
 */
@Mapper
public interface TdCharacterWordMapper extends BaseMapper<TdCharacterWord> {

    int deleteByLibId(@Param("libId") String libId, @Param("wordIdList") List<String> wordIdList);

    List<TdCharacterWord> getListByLidId(@Param("libId") String libId);

    int countBy(@Param("libId") String libId, @Param("word") String word);

    List<TdCharacterWord> getListByResultId(@Param("resultId") String resultId);
}
