package com.yunzhi.questions.service;

import com.yunzhi.questions.entity.TaQuestion;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.questions.vo.QuestionVO;

/**
 * <p>
 * 题库 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
public interface ITaQuestionService extends IBaseService<TaQuestion> {

    boolean saveByVO(QuestionVO questionVO) throws Exception;

    boolean editBy(QuestionVO questionVO) throws Exception;

    int countByGameId(String gameId);
}
