package com.yunzhi.questions.service.impl;

import com.yunzhi.questions.entity.TdCharacterWord;
import com.yunzhi.questions.mapper.TdCharacterWordMapper;
import com.yunzhi.questions.service.ITdCharacterWordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 特征词 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-12-14
 */
@Service
public class TdCharacterWordServiceImpl extends ServiceImpl<TdCharacterWordMapper, TdCharacterWord> implements ITdCharacterWordService {

    @Override
    public List<TdCharacterWord> getListByLidId(String libId) {
        return baseMapper.getListByLidId(libId);
    }

    @Override
    public List<TdCharacterWord> getListByResultId(String resultId) {
        return baseMapper.getListByResultId(resultId);
    }
}
