package com.yunzhi.questions.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 问答游戏
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaGame对象", description="问答游戏")
public class TaGame implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "游戏ID")
    @TableId(value = "game_id", type = IdType.UUID)
    private String gameId;

    @ApiModelProperty(value = "名称")
    private String title;

    @ApiModelProperty(value = "图片")
    private String gameImage;

    @ApiModelProperty(value = "结果类型")
    private String resultMode;

    @ApiModelProperty(value = "状态")
    private Integer status;


}
