package com.yunzhi.questions.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 关卡
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaGameLevel对象", description="关卡")
public class TaGameLevel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "关卡ID")
    @TableId(value = "level_id", type = IdType.UUID)
    private String levelId;

    @ApiModelProperty(value = "所属游戏")
    private String gameId;

    @ApiModelProperty(value = "关卡数字")
    private Integer levelNum;

    @ApiModelProperty(value = "名称")
    private String title;

    @ApiModelProperty(value = "图片")
    private String levelImage;

    @ApiModelProperty(value = "状态")
    private Integer status;


}
