package com.yunzhi.questions.mapper;

import com.yunzhi.questions.entity.TaQuestion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 题库 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
@Mapper
public interface TaQuestionMapper extends BaseMapper<TaQuestion> {

    int countByGameId(@Param("gameId") String gameId);

    List<TaQuestion> getByGame(String gameId);
}
