package com.yunzhi.questions.service.impl;

import com.yunzhi.questions.common.Constants;
import com.yunzhi.questions.common.StringUtils;
import com.yunzhi.questions.entity.TaAnswer;
import com.yunzhi.questions.entity.TaQuestion;
import com.yunzhi.questions.mapper.TaAnswerMapper;
import com.yunzhi.questions.service.ITaAnswerService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 题库答案 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
@Service
public class TaAnswerServiceImpl extends ServiceImpl<TaAnswerMapper, TaAnswer> implements ITaAnswerService {

    @Override
    public List<TaAnswer> getByQuestionId(String id) {
        return baseMapper.getByQuestionId(id);
    }

    @Override
    public int countByGameId(String gameId) {
        return baseMapper.countByGameId(gameId);
    }
}
