package com.yunzhi.questions.service.impl;

import com.yunzhi.questions.entity.TaPerson;
import com.yunzhi.questions.mapper.TaPersonMapper;
import com.yunzhi.questions.service.ITaPersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 小程序人员表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
@Service
public class TaPersonServiceImpl extends ServiceImpl<TaPersonMapper, TaPerson> implements ITaPersonService {

    @Override
    public TaPerson getByPhone(String phone) {
        return baseMapper.getByPhone(phone);
    }
}
