package com.yunzhi.questions.vo;

import com.yunzhi.questions.entity.TaAnswer;
import com.yunzhi.questions.entity.TaQuestion;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(description = "题目")
public class QuestionVO extends TaQuestion {

    @ApiModelProperty(value = "选项列表")
    private List<TaAnswer> answerList;
}
